Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class BasicType

    java.lang.Object
      org.apache.bcel.generic.Type
          org.apache.bcel.generic.BasicType

All Implemented Interfaces:
  Serializable

    public final class BasicType

extends Type

Denotes basic type such as int.

Version:
  $Id: BasicType.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, INT, LONG, NO_ARGS, NULL, OBJECT, SHORT, signature, STRING, STRINGBUFFER, THROWABLE, type, UNKNOWN, VOID`

Method Summary
`boolean` | `equals(Object _type)`
`static BasicType` | `getType(byte type)`
`int` | `hashCode()`

Methods inherited from class org.apache.bcel.generic.Type
`getArgumentTypes, getMethodSignature, getReturnType, getSignature, getSignature, getSize, getType, getType, getType, getTypes, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getType

    public static final BasicType getType(byte type)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Type`
  Returns:
    a hash code value for the object.

### equals

    public boolean equals(Object _type)

  Overrides:
    `equals` in class `Type`
  Returns:
    true if both type objects refer to the same type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.